# Workflow Http operation Error for SCIM API

**URL:** <https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451>\
**Category:** SHF Discussion and Questions\
**Tags:** sailpoint-identity-security\
**Created:** [June 26, 2025, 8:53am UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451 "2025-06-26T08:53:45Z")\
**Posts on this page:** 16\
**Page:** 1

<div class="post-metadata">

**Author:** ![Deepanshu07](https://avatars.discourse-cdn.com/v4/letter/d/cc9497/32.png) [@Deepanshu07](https://developer.sailpoint.com/discuss/u/Deepanshu07)\
**Post date:** [June 26, 2025, 8:53am UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/1 "2025-06-26T08:53:45Z")

</div>

Hi Team,

I am working on a workflow where we need to trigger a http operation patch for SAP Ariba scim api.

How it works in postman using basic auth.  
I tried to replicate the same in http operation in workflow but it fails saying supported media type.

This is my curl command

```auto
curl --location --request PATCH 'https://xyz.ondemand.com/ipsproxy/service/api/v1/scim/eec804d9-a69e-46ca-b97d-09401c1e18a1/Users/esptest20' \
--header 'Content-Type: application/scim+json' \
--header 'Authorization: Basic ***************' \
--data '{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:PatchOp"
  ],
  "Operations": [
    {
      "op": "replace",
      "path": "displayName",
      "value": "esptest20"
    },
    {
      "op": "replace",
      "path": "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User",
      "value": {
        "manager": {
          "value": "e004hoq"
        }
      }
    },
    {
      "op": "replace",
      "path": "urn:ietf:params:scim:schemas:extension:sap.odm:2.0:User",
      "value": {
        "companyCode": [
          {
            "displayId": "9000",
            "primary": true
          }
        ],
        "costCenter": [
          {
            "companyCodeId": "9000",
            "costCenterId": "0095005000",
            "primary": true
          }
        ]
      }
    }
  ]
}'

```

And here is my workflow output:

```auto
{
  "type": "ActivityTaskScheduled",
  "timestamp": "2025-06-26T08:45:28.959657221Z",
  "attributes": {
    "displayName": "HTTP Request",
    "input": {
      "authenticationType": "basic",
      "basicAuthPassword": "$.secrets. ************",
      "basicAuthUserName": " ************",
      "jsonRequestBody": {
        "Operations": [
          {
            "op": "replace",
            "path": "displayName",
            "value": "esptest20"
          },
          {
            "op": "replace",
            "path": "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User",
            "value": {
              "manager": {
                "value": "e004hoq"
              }
            }
          },
          {
            "op": "replace",
            "path": "urn:ietf:params:scim:schemas:extension:sap.odm:2.0:User",
            "value": {
              "companyCode": [
                {
                  "displayId": "9000",
                  "primary": true
                }
              ],
              "costCenter": [
                {
                  "companyCodeId": "9000",
                  "costCenterId": "0095005000",
                  "primary": true
                }
              ]
            }
          }
        ],
        "schemas": [
          "urn:ietf:params:scim:api:messages:2.0:PatchOp"
        ]
      },
      "method": "patch",
      "requestContentType": "json",
      "requestHeaders": {
        "Content-Type": "application/scim+json"
      },
      "url": "https:// ************ /Users/esptest20"
    },
    "stepName": "hTTPRequest",
    "task": "sp:http",
    "technicalName": "HTTP Request"
  }
},
{
  "type": "ActivityTaskStarted",
  "timestamp": "2025-06-26T08:45:28.969063189Z",
  "attributes": {
    "attempts": 1,
    "displayName": "HTTP Request",
    "stepName": "hTTPRequest",
    "task": "sp:http",
    "technicalName": "HTTP Request"
  }
},
{
  "type": "ActivityTaskFailed",
  "timestamp": "2025-06-26T08:45:29.491684603Z",
  "attributes": {
    "displayName": "HTTP Request",
    "error": "request failed",
    "stepName": "hTTPRequest",
    "task": "sp:http",
    "technicalName": "HTTP Request"
  }
},
{
  "type": "WorkflowExecutionFailed",
  "timestamp": "2025-06-26T08:45:29.52338686Z",
  "attributes": {
    "error": "task failed: activity error (type: sp:external:http:v2, scheduledEventID: 23, startedEventID: 24, identity: ************ ): request failed (type: HTTP Response Returned a Client Error, retryable: false): request failed: 415 - 415 - {\"origin\":\"SAP IPS\",\"error\":{\"code\":\"Unsupported Media Type\",\"message\":\"\"}}"
  }
}

```

---

<div class="post-metadata">

**Author:** ![JackSparrow](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/jacksparrow/32/19685_2.png) [@JackSparrow](https://developer.sailpoint.com/discuss/u/JackSparrow)\
**Post date:** [June 26, 2025, 9:06am UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/2 "2025-06-26T09:06:48Z")

</div>

> [@Deepanshu07](#):
>
> `'Content-Type: application/scim+json'`

Can you check if it’s the same content-type you are using in postman?

---

<div class="post-metadata">

**Author:** ![sidharth\_tarlapally](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/sidharth_tarlapally/32/26178_2.png) [@sidharth\_tarlapally](https://developer.sailpoint.com/discuss/u/sidharth_tarlapally)\
**Post date:** [June 26, 2025, 9:10am UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/3 "2025-06-26T09:10:14Z")

</div>

@Deepanshu07

As per document :  
Workflow action HTTP do not support  
`'Content-Type: application/scim+json'`

> The type of content to include in the request body. The options are CSV, Form, JSON, XML, and plain text.

> **[Actions - SailPoint Identity Services](https://documentation.sailpoint.com/saas/help/workflows/workflow-actions.html#http-request:~:text=Request%20Content%20Type)**
>
> SailPoint Identity Services Documentation

---

<div class="post-metadata">

**Author:** ![Deepanshu07](https://avatars.discourse-cdn.com/v4/letter/d/cc9497/32.png) [@Deepanshu07](https://developer.sailpoint.com/discuss/u/Deepanshu07)\
**Post date:** [June 26, 2025, 9:20am UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/4 "2025-06-26T09:20:22Z")

</div>

Even though in headers I am putting application/scim+json?

In postman also i am doing same thing in headers it is there but in body it is raw json:

 ![image](https://global.discourse-cdn.com/sailpoint/original/3X/0/f/0fbd2665bd35873409213dfb4440a33aefef310f.png)

---

<div class="post-metadata">

**Author:** ![sidharth\_tarlapally](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/sidharth_tarlapally/32/26178_2.png) [@sidharth\_tarlapally](https://developer.sailpoint.com/discuss/u/sidharth_tarlapally)\
**Post date:** [June 26, 2025, 9:22am UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/5 "2025-06-26T09:22:06Z")

</div>

@Deepanshu07

In postman just try `application/json` in Header , and check if that works . If yes , try the same in workflow HTTP action.

---

<div class="post-metadata">

**Author:** ![Deepanshu07](https://avatars.discourse-cdn.com/v4/letter/d/cc9497/32.png) [@Deepanshu07](https://developer.sailpoint.com/discuss/u/Deepanshu07)\
**Post date:** [June 26, 2025, 9:38am UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/6 "2025-06-26T09:38:16Z")

</div>

no application/json does not work in postman it returns same error unsupported media type

---

<div class="post-metadata">

**Author:** ![JackSparrow](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/jacksparrow/32/19685_2.png) [@JackSparrow](https://developer.sailpoint.com/discuss/u/JackSparrow)\
**Post date:** [June 26, 2025, 9:43am UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/7 "2025-06-26T09:43:19Z")

</div>

Can I know where you are using this cURL command in workflow? means where you are adding this?

---

<div class="post-metadata">

**Author:** ![sidharth\_tarlapally](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/sidharth_tarlapally/32/26178_2.png) [@sidharth\_tarlapally](https://developer.sailpoint.com/discuss/u/sidharth_tarlapally)\
**Post date:** [June 26, 2025, 9:57am UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/8 "2025-06-26T09:57:02Z")

</div>

@Deepanshu07  
Deepanshu , I see no other way . HTTP action strictly allow only these content types .

 ![image](https://global.discourse-cdn.com/sailpoint/original/3X/2/a/2ad4cef810d8b9a80bd0080e4f2999fd399146b0.png)

Once give it a try with JSON Patch ,remove header value and select it from **Request Content Type** section in HTTP configuration

---

<div class="post-metadata">

**Author:** ![Deepanshu07](https://avatars.discourse-cdn.com/v4/letter/d/cc9497/32.png) [@Deepanshu07](https://developer.sailpoint.com/discuss/u/Deepanshu07)\
**Post date:** [June 26, 2025, 10:10am UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/9 "2025-06-26T10:10:21Z")

</div>

> [@sidharth\_tarlapally](#):
>
> The type of content to include in the request body. The options are CSV, Form, JSON, XML, and plain text.

Got it!  
And if i create the operation in the source as update account is there any way to call that via workflow i saw manage account it only includes disable enable and stuff but not update.

---

<div class="post-metadata">

**Author:** ![sidharth\_tarlapally](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/sidharth_tarlapally/32/26178_2.png) [@sidharth\_tarlapally](https://developer.sailpoint.com/discuss/u/sidharth_tarlapally)\
**Post date:** [June 26, 2025, 10:17am UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/10 "2025-06-26T10:17:01Z")

</div>

@Deepanshu07

Can you brief the use case , I might have any approach

---

<div class="post-metadata">

**Author:** ![Deepanshu07](https://avatars.discourse-cdn.com/v4/letter/d/cc9497/32.png) [@Deepanshu07](https://developer.sailpoint.com/discuss/u/Deepanshu07)\
**Post date:** [June 26, 2025, 10:34am UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/11 "2025-06-26T10:34:00Z")

</div>

The use case is every time a user’s account attribute changes; we need to trigger update account to pass the updated values for the account in the target system.

FYI we are not using attribute sync because of some other env and technical issues.

We have all the account attributes of the webservice source as identity attribute as well.

---

<div class="post-metadata">

**Author:** ![JackSparrow](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/jacksparrow/32/19685_2.png) [@JackSparrow](https://developer.sailpoint.com/discuss/u/JackSparrow)\
**Post date:** [June 26, 2025, 2:04pm UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/12 "2025-06-26T14:04:37Z")

</div>

Doing via workflow is tedious process, how workflow will know if there is value mismatch between Identity attribute and account attribute? What trigger you will use?

Attribute sync will do the update (sync) operation in an easy way with what you are trying to do with workflow.

---

<div class="post-metadata">

**Author:** ![sidharth\_tarlapally](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/sidharth_tarlapally/32/26178_2.png) [@sidharth\_tarlapally](https://developer.sailpoint.com/discuss/u/sidharth_tarlapally)\
**Post date:** [June 26, 2025, 2:27pm UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/13 "2025-06-26T14:27:34Z")

</div>

Totally agree with @JackSparrow

---

<div class="post-metadata">

**Author:** ![Deepanshu07](https://avatars.discourse-cdn.com/v4/letter/d/cc9497/32.png) [@Deepanshu07](https://developer.sailpoint.com/discuss/u/Deepanshu07)\
**Post date:** [June 26, 2025, 4:05pm UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/14 "2025-06-26T16:05:47Z")

</div>

The issue is they do not want us to update the attribute for existing users.  
only when attribute changes in the authorative source.

---

<div class="post-metadata">

**Author:** ![JackSparrow](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/jacksparrow/32/19685_2.png) [@JackSparrow](https://developer.sailpoint.com/discuss/u/JackSparrow)\
**Post date:** [June 27, 2025, 3:53am UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/15 "2025-06-27T03:53:15Z")

</div>

you mean to say that sync should happen only for new accounts and not for existing accounts?

---

<div class="post-metadata">

**Author:** ![system](https://global.discourse-cdn.com/sailpoint/original/2X/f/f2136700ed5e3703e0b85e02f6be799dacca7735.png) [@system](https://developer.sailpoint.com/discuss/u/system)\
**Post date:** [August 26, 2025, 3:54am UTC](https://developer.sailpoint.com/discuss/t/workflow-http-operation-error-for-scim-api/148451/16 "2025-08-26T03:54:08Z")

</div>

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.
